require 'puppet/property/keyvalue'
require 'puppet/property/lxd'

class Puppet::Property::Lxd::KeyValue < Puppet::Property::KeyValue
  self.log_only_changed_or_new_keys = true

  def inclusive?
    false
  end

  def extra_props
    {}
  end

  def hashify_should
    config = @shouldorig.first.merge(extra_props)
    config.reject!{ |_, v| v.nil? || v == :absent }
    @should = [config]
    config
  end

  validate do |value|
    raise ArgumentError, "Must be a Hash" if !value.is_a?(Hash)
  end

  munge do |value|
    Hash[value]
  end
end
