# frozen_string_literal: true

require 'puppet/property/lxd/yaml'

Puppet::Type.newtype(:lxd_profile) do
  @doc = 'Manage LXC profile resource'

  ensurable do
    self.defaultvalues

    def retrieve
      provider.ensure
    end
  end

  newparam(:name, isnamevar: true) do
    desc 'Name of the resource'
  end

  newproperty(:content, parent: Puppet::Property::Lxd::Yaml) do
    desc 'Content of profile, as a data structure'
  end

  newproperty(:lxc_remote_name) do
    desc 'Name of LXD remote to connect to, omit for local'
    defaultto { 'local' }
  end

  autorequire(:lxd_remote) do
    self[:lxc_remote_name] if self[:lxc_remote_name] != 'local'
  end
end
