class lxd::install () {
  include 'lxd'

  $all_packages = if $lxd::vm_support {
    $lxd::packages + $lxd::vm_support_packages + $lxd::vm_arch_support_packages
  } else {
    $lxd::packages
  }

  package { $all_packages:
    ensure => present,
  }

  $family = $facts['os']['family']
  if $family == 'RedHat' {
    exec { 'dnf-copr-enable-lxd':
      command => 'dnf copr enable ganto/lxc4',
      unless  => 'dnf copr list | grep -q copr.fedorainfracloud.org/ganto/lxc4',
      path    => "/usr/bin:/usr/sbin:/bin:/sbin",
      before  => Package[$all_packages],
    }
  } elsif $family != 'Debian' {
    fail("Unsupported os family ${family}")
  }
}
